Skip to main content
POST
/
v1
/
organizations
Create Organization
curl --request POST \
  --url https://api.spairehq.com/v1/organizations/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "avatar_url": "<string>",
  "email": "jsmith@example.com",
  "website": "<string>",
  "socials": [
    {
      "url": "<string>"
    }
  ],
  "details": {
    "product_description": "<string>",
    "about": "",
    "intended_use": "",
    "customer_acquisition": [
      "<string>"
    ],
    "future_annual_revenue": 0,
    "switching": true,
    "previous_annual_revenue": 0
  },
  "default_tax_behavior": "location",
  "feature_settings": {
    "issue_funding_enabled": false,
    "seat_based_pricing_enabled": false,
    "course_player_white_label": false,
    "revops_enabled": false,
    "wallets_enabled": false,
    "member_model_enabled": false,
    "tinybird_read": false,
    "tinybird_compare": false,
    "perks_unlocked": false
  },
  "subscription_settings": {
    "allow_multiple_subscriptions": true,
    "allow_customer_updates": true,
    "benefit_revocation_grace_period": 123,
    "prevent_trial_abuse": true
  },
  "notification_settings": {
    "new_order": true,
    "new_subscription": true
  },
  "customer_email_settings": {
    "order_confirmation": true,
    "subscription_cancellation": true,
    "subscription_confirmation": true,
    "subscription_cycled": true,
    "subscription_past_due": true,
    "subscription_revoked": true,
    "subscription_uncanceled": true,
    "subscription_updated": true
  },
  "customer_portal_settings": {
    "usage": {
      "show": true
    },
    "subscription": {
      "update_seats": true,
      "update_plan": true
    }
  },
  "storefront_settings": {
    "enabled": false,
    "show_header": true,
    "header_image_url": "<string>",
    "show_logo": true,
    "show_name": true,
    "show_description": true,
    "description": "<string>",
    "thumbnail_size": "medium",
    "show_product_details": true,
    "profile_title": "<string>",
    "skills": [
      "<string>"
    ],
    "languages": [
      "<string>"
    ],
    "available_for_work": false,
    "contact_url": "<string>",
    "featured_mode": "curated",
    "featured_product_ids": [
      "<string>"
    ],
    "show_card_products": true,
    "storefront_links": [
      {
        "id": "<string>",
        "url": "<string>",
        "title": "<string>",
        "description": "<string>",
        "image_url": "<string>",
        "type": "standard",
        "platform": "<string>"
      }
    ],
    "links_position": "after_products",
    "block_order": [],
    "links_layout": "carousel",
    "header_focal_point": "<string>",
    "space_items": [
      {
        "id": "<string>",
        "hidden": false
      }
    ]
  }
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "avatar_url": "<string>",
  "allow_customer_updates": true,
  "email": "<string>",
  "website": "<string>",
  "socials": [
    {
      "url": "<string>"
    }
  ],
  "details_submitted_at": "2023-11-07T05:31:56Z",
  "feature_settings": {
    "issue_funding_enabled": false,
    "seat_based_pricing_enabled": false,
    "course_player_white_label": false,
    "revops_enabled": false,
    "wallets_enabled": false,
    "member_model_enabled": false,
    "tinybird_read": false,
    "tinybird_compare": false,
    "perks_unlocked": false
  },
  "subscription_settings": {
    "allow_multiple_subscriptions": true,
    "allow_customer_updates": true,
    "benefit_revocation_grace_period": 123,
    "prevent_trial_abuse": true
  },
  "notification_settings": {
    "new_order": true,
    "new_subscription": true
  },
  "customer_email_settings": {
    "order_confirmation": true,
    "subscription_cancellation": true,
    "subscription_confirmation": true,
    "subscription_cycled": true,
    "subscription_past_due": true,
    "subscription_revoked": true,
    "subscription_uncanceled": true,
    "subscription_updated": true
  },
  "customer_portal_settings": {
    "usage": {
      "show": true
    },
    "subscription": {
      "update_seats": true,
      "update_plan": true
    }
  },
  "ai_onboarding_completed_at": "2023-11-07T05:31:56Z",
  "storefront_settings": {
    "enabled": false,
    "show_header": true,
    "header_image_url": "<string>",
    "show_logo": true,
    "show_name": true,
    "show_description": true,
    "description": "<string>",
    "thumbnail_size": "medium",
    "show_product_details": true,
    "profile_title": "<string>",
    "skills": [
      "<string>"
    ],
    "languages": [
      "<string>"
    ],
    "available_for_work": false,
    "contact_url": "<string>",
    "featured_mode": "curated",
    "featured_product_ids": [
      "<string>"
    ],
    "show_card_products": true,
    "storefront_links": [
      {
        "id": "<string>",
        "url": "<string>",
        "title": "<string>",
        "description": "<string>",
        "image_url": "<string>",
        "type": "standard",
        "platform": "<string>"
      }
    ],
    "links_position": "after_products",
    "block_order": [],
    "links_layout": "carousel",
    "header_focal_point": "<string>",
    "space_items": [
      {
        "id": "<string>",
        "hidden": false
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Body

application/json
name
string
required
Minimum string length: 3
slug
string
required
Minimum string length: 3
avatar_url
string<uri> | null
Required string length: 1 - 2083
email
string<email> | null

Public support email.

website
string<uri> | null

Official website of the organization.

Required string length: 1 - 2083
socials
OrganizationSocialLink · object[] | null

Link to social profiles.

details
OrganizationDetails · object

Additional, private, business details Spaire needs about active organizations for compliance (KYC).

default_tax_behavior
enum<string>
default:location

Default tax behavior applied on products.

Available options:
location,
inclusive,
exclusive
feature_settings
OrganizationFeatureSettings · object
subscription_settings
OrganizationSubscriptionSettings · object
notification_settings
OrganizationNotificationSettings · object
customer_email_settings
OrganizationCustomerEmailSettings · object
customer_portal_settings
OrganizationCustomerPortalSettings · object
storefront_settings
OrganizationStorefrontSettings · object

Response

Organization created.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

name
string
required

Organization name shown in checkout, customer portal, emails etc.

slug
string
required

Unique organization slug in checkout, customer portal and credit card statements.

avatar_url
string | null
required

Avatar URL shown in checkout, customer portal, emails etc.

proration_behavior
enum<string>
required

Proration behavior applied when customer updates their subscription from the portal.

Available options:
invoice,
prorate
allow_customer_updates
boolean
required

Whether customers can update their subscriptions from the customer portal.

email
string | null
required

Public support email.

website
string | null
required

Official website of the organization.

socials
OrganizationSocialLink · object[]
required

Links to social profiles.

status
enum<string>
required

Current organization status

Available options:
created,
onboarding_started,
initial_review,
ongoing_review,
denied,
active
details_submitted_at
string<date-time> | null
required

When the business details were submitted.

default_presentment_currency
enum<string>
required

Default presentment currency. Used as fallback in checkout and customer portal, if the customer's local currency is not available.

Available options:
aed,
all,
amd,
aoa,
ars,
aud,
awg,
azn,
bam,
bbd,
bdt,
bif,
bmd,
bnd,
bob,
brl,
bsd,
bwp,
bzd,
cad,
cdf,
chf,
clp,
cny,
cop,
crc,
cve,
czk,
djf,
dkk,
dop,
dzd,
egp,
etb,
eur,
fjd,
fkp,
gbp,
gel,
gip,
gmd,
gnf,
gtq,
gyd,
hkd,
hnl,
htg,
huf,
idr,
ils,
inr,
isk,
jmd,
jpy,
kes,
kgs,
khr,
kmf,
krw,
kyd,
kzt,
lak,
lkr,
lrd,
lsl,
mad,
mdl,
mga,
mkd,
mnt,
mop,
mur,
mvr,
mwk,
mxn,
myr,
mzn,
nad,
ngn,
nio,
nok,
npr,
nzd,
pab,
pen,
pgk,
php,
pkr,
pln,
pyg,
qar,
ron,
rsd,
rwf,
sar,
sbd,
scr,
sek,
sgd,
shp,
sos,
srd,
szl,
thb,
tjs,
top,
try,
ttd,
twd,
tzs,
uah,
ugx,
usd,
uyu,
uzs,
vnd,
vuv,
wst,
xaf,
xcd,
xcg,
xof,
xpf,
yer,
zar,
zmw
default_tax_behavior
enum<string>
required

Default tax behavior applied on products.

Available options:
location,
inclusive,
exclusive
feature_settings
OrganizationFeatureSettings · object
required

Organization feature settings

subscription_settings
OrganizationSubscriptionSettings · object
required

Settings related to subscriptions management

notification_settings
OrganizationNotificationSettings · object
required

Settings related to notifications

customer_email_settings
OrganizationCustomerEmailSettings · object
required

Settings related to customer emails

customer_portal_settings
OrganizationCustomerPortalSettings · object
required

Settings related to the customer portal

ai_onboarding_completed_at
string<date-time> | null

When the creator finished the onboarding flow (plan + review + assistant). Until this is set, the dashboard layout redirects the creator back to /onboarding/plan to prevent skipping the plan-selection step.

storefront_settings
OrganizationStorefrontSettings · object

Storefront settings